#
# Definitions for target x86_66-pc-linux-gnu.
#
# based on eXept's:
#
# linux-elf/x86_64: cpu: x86_64 in 64 bit mode os:linux-ELF options: +commonSymbol
#
#------------------ start of linux/x86_64 ---------------------
#
# $Header: /cvs/stx/stx/configurations/linux-elf/x86_64/defines,v 1.18 2016-08-29 08:52:44 stefan Exp $

include $(MAKELIB)/config-linux-gnu.make
include $(MAKELIB)/config-x86_64.make

LDFLAGS=-Llib -L/usr/local/lib -L/usr/X11/lib \
	-Wl,-z,now,-Bsymbolic,-rpath,'$$ORIGIN',-rpath,'$$ORIGIN/lib',-rpath,'$$ORIGIN/../lib'
EXTRA_SHARED_LIBS=-ldl

# LIBJPEG=$(LIBJPEG_DIR)/libjpeg.a
# LIBJPEG_FOR_COPY=$(LIBJPEG_DIR)/libjpeg.a
# LIBJPEG_FOR_LINK=$(LIBJPEG_DIR)/libjpeg.a


# a netsnmp library
#
# if already in /usr/lib:
# DYNAMIC_LINK_LIB_NETSNMP=-lnetsnmp
# STATIC_LINK_LIB_NETSNMP=
# TARGET_LIB_NETSNMP=
#
# if a local one should be built and used (for 64bit, no -lrt is needed):
DYNAMIC_LINK_LIB_NETSNMP=-L$(NETSNMP_LIBDIR)/.libs -L$(NETSNMP_LIBDIR) $(NETSNMP_LIBDIR)/.libs/libnetsnmp.a


MATRIXLOCK_DIR=$(TOP)/../exept/setup/ml
MATRIXLOCK_LIB_ARG=-L$(MATRIXLOCK_DIR)/lib -lmxlin64260
MATRIXLOCK_SHARED_LIB_ARG=-lusb

#.SUFFIXES: .o .so

#.o.so:
#	@-rm -f $*.so
#	$(LD) -shared $(LDFLAGS) -o $*.so $*.o $(LOCAL_SHARED_LIBS)

#------------------ end of linux-elf/x86_64 ---------------------
O_RULE=__STANDARD_O_RULE__
EXTRA_LIBS=-ldl -lX11 -lXext
MAKE_ZLIB_ARG= "CFLAGS=-fPIC -O3 -DUSE_MMAP"
